UNIT Unit5;

INTERFACE

USES
    Winapi.Windows,
    Winapi.Messages,
    System.SysUtils,
    System.Variants,
    System.Classes,
    Vcl.Graphics,
    Vcl.Controls,
    Vcl.Forms,
    Vcl.Dialogs,
    TMSLoggingTextOutputHandler,
    TMSLoggingCSVOutputHandler,
    TMSLoggingHTMLOutputHandler,
    TMSLogging,
    TMSLoggingEventLogOutputHandler;

TYPE
    TForm5 = CLASS(TForm)
        PROCEDURE FormCreate(Sender : TObject);
    PRIVATE
        { Dclarations prives }
    PUBLIC
        { Dclarations publiques }
    END;

VAR
    Form5 : TForm5;

IMPLEMENTATION

{$R *.dfm}


PROCEDURE TForm5.FormCreate(Sender : TObject);
BEGIN
    TMSLogger.RegisterOutputHandlerClass(TTMSLoggerEventLogOutputHandler);
    TMSLogger.RegisterOutputHandlerClass(
        TTMSLoggerHTMLOutputHandler,
        ['C:\Users\odehorter\AppData\Local\Temp\GestBag\' + '_Logger.html', '_Logger.js']);
    TMSLogger.RegisterOutputHandlerClass(
        TTMSLoggerCSVOutputHandler,
        ['C:\Users\odehorter\AppData\Local\Temp\GestBag\' + '_Logger.csv', '|']);
    TMSLogger.RegisterOutputHandlerClass(
        TTMSLoggerTextOutputHandler,
        ['C:\Users\odehorter\AppData\Local\Temp\GestBag\' + '_Logger.txt']);


        TMSLogger.ExceptionHandling := True;
        TMSLogger.OutputFormats.ValueFormat := '{%s}';
        TMSLogger.OutputFormats.NameFormat := '[Nom] : {%s}';
        TMSLogger.Clear;
        TMSLogger.Active := True;
        // TMSLogger.StartTimer;

    TMSLogger.InfoFormat(
        'Principal : {%s}',
        ['Ouverture  test']);

END;

END.
